airspy_rx(1)

NAME
airspy_rx - probe device and show configuration

DESCRIPTION
The Airspy is a tiny and efficient software defined radio receiver.

This application lets the user probe the device and show configuration.

SYNOPSIS
airspy_rx

OPTIONS

-r <filename> # Receive data into file.

-w # Receive data into file with WAV header and automatic name.

[-s sn] # -s serial_number_64bits]: Open device with specified 64bits serial number

# This is for SDR# compatibility and may not work with other software.

[-p packing] # Set packing for samples. 1=enabled(12bits packed), 0=disabled(default 16bits not packed)

[-f set_freq_hz] # Set Freq in Hz between [24MHz, 1750MHz].

[-a sample_rate] # Set sample rate (10 and 2.5 MSPS for older firmware versions.)

[-t sample_type] # Set sample type, 0=FLOAT32_IQ, 1=FLOAT32_REAL, 2=INT16_IQ(default), 3=INT16_REAL, 4=U16_REAL

[-b biast] # Set Bias Tee, 1=enabled, 0=disabled(default)

[-v gain] # Set VGA gain, 0-15 (default 0)

[-m gain] # Set Mixer gain, 0-15 (default 8)

[-l gain] # Set LNA gain, 0-14 (default 8)

[-n num_samples] # Number of samples to transfer (default is unlimited).

-d  # Verbose mode.

SEE ALSO
Airspy web page: http://airspy.com/

Other airspy programs:

airspy_info(1), airspy_si5351c(1), airspy_spiflash(1), airspy_gpio(1), airspy_gpiodir(1), airspy_lib_version(1)

AUTHOR
This manual page was written by Maitland Bottoms for the Debian project (but may be used by others).

COPYRIGHT
Copyright (c) 2014-2015 A. Maitland Bottoms <bottoms@debian.org>

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.